#pragma once

#include <nana/gui.hpp>
#include <nana/gui/widgets/label.hpp>
#include <nana/gui/widgets/menubar.hpp>
#include <string>
#include <list>

namespace mc::psx {
	class MemoryCard;
} //namespace mc::psx

namespace duck {
namespace widget {
class BlockGrid;
} //namespace widget

class MainWindow : public nana::form {
public:
	MainWindow (int icon_size, int icon_fps, const std::string& caption);
	~MainWindow() noexcept;

	void open_file_from_dialog();

private:
	void init_menu();

	nana::menubar m_menubar;
	std::list<mc::psx::MemoryCard> m_memcards;
	std::list<duck::widget::BlockGrid> m_grids;
	std::list<nana::label> m_grid_labels;
	int m_icon_size;
	int m_icon_fps;
};
} //namespace duck
